Subject: [TR] removing TR6 rear damper rebound stop

From: [email-masked]
Date: Thu, 12 Feb 2026 12:11:34 -0600

I need to replace the damper-arm rebound stops on my TR6 -- on one the 
rubber has completely crumbled. These are the ones on the frame (not on 
the trailing arm) onto which the damper arm lands at the bottom of its 
travel. But the condition of my rather dirty, rusty frame means that 
they are frozen in place. I'm having trouble gripping the flat metal 
disk. I've soaked with PB Blaster. I have the ability to apply flame 
heat - but that's very close to the fuel tank. Any suggestions?
  Lee
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive